net.snowflake.client.jdbc

## Interface SnowflakeStatement

    public interface SnowflakeStatement

This interface defines Snowflake specific APIs for Statement

### Method Summary

All Methods Instance Methods Abstract Methods
`List<String>` `getBatchQueryIDs()`
`String` `getQueryID()`

### Method Detail

#### getQueryID

    String getQueryID()
               throws SQLException

Returns:
  the Snowflake query ID of the latest executed query
Throws:
  `SQLException`

#### getBatchQueryIDs

    List<String> getBatchQueryIDs()
                           throws SQLException

Returns:
  the Snowflake query IDs of the latest executed batch queries
Throws:
  `SQLException`